# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_DeltaOnModificationOfExtStringArray Class Reference

This class provides default services for an
AttributeDelta on a MODIFICATION action.
.

`#include <TDataStd_DeltaOnModificationOfExtStringArray.hxx>`

Inheritance diagram for TDataStd_DeltaOnModificationOfExtStringArray:

[legend]

## Public Member Functions

Standard_EXPORT | TDataStd_DeltaOnModificationOfExtStringArray (const Handle(TDataStd_ExtStringArray)&Arr)
| Initializes a TDF_DeltaOnModification. .
virtual Standard_EXPORT void | Apply ()
| Applies the delta to the attribute. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TColStd_HArray1OfInteger | myIndxes
Handle_TColStd_HArray1OfExtendedString | myValues
Standard_Integer | myUp1
Standard_Integer | myUp2

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_DeltaOnModificationOfExtStringArray::TDataStd_DeltaOnModificationOfExtStringArray | ( | const Handle(TDataStd_ExtStringArray)& | Arr | ) |

## Member Function Documentation

virtual Standard_EXPORT void TDataStd_DeltaOnModificationOfExtStringArray::Apply | ( |  | ) | `[virtual]`

| Reimplemented from TDF_DeltaOnModification.

Standard_EXPORT const TDataStd_DeltaOnModificationOfExtStringArray::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_DeltaOnModification.

## Field Documentation

Handle_TColStd_HArray1OfInteger TDataStd_DeltaOnModificationOfExtStringArray::myIndxes `[private]`

Standard_Integer TDataStd_DeltaOnModificationOfExtStringArray::myUp1 `[private]`

Standard_Integer TDataStd_DeltaOnModificationOfExtStringArray::myUp2 `[private]`

Handle_TColStd_HArray1OfExtendedString TDataStd_DeltaOnModificationOfExtStringArray::myValues `[private]`

The documentation for this class was generated from the following file:

- TDataStd_DeltaOnModificationOfExtStringArray.hxx